org.springframework.jmx.support

## Class ObjectNameManager

- java.lang.Object
- - org.springframework.jmx.support.ObjectNameManager

    public class ObjectNameManager
    extends Object

Helper class for the creation of `ObjectName` instances.

Since:
  1.2
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  `ObjectName.getInstance(String)`

### Constructor Summary

Constructors
Constructor and Description
`ObjectNameManager()`

### Method Summary

Methods
`static ObjectName` `getInstance(Object objectName)` Retrieve the `ObjectName` instance corresponding to the supplied name.
`static ObjectName` `getInstance(String objectName)` Retrieve the `ObjectName` instance corresponding to the supplied name.
`static ObjectName` `getInstance(String domainName, Hashtable<String,String> properties)` Retrieve an `ObjectName` instance with the specified domain name and the supplied key/name properties.
`static ObjectName` `getInstance(String domainName, String key, String value)` Retrieve an `ObjectName` instance for the specified domain and a single property with the supplied key and value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectNameManager

    public ObjectNameManager()

### Method Detail

#### getInstance

    public static ObjectName getInstance(Object objectName)
                                  throws MalformedObjectNameException

Retrieve the `ObjectName` instance corresponding to the supplied name.

Parameters:
  `objectName` - the `ObjectName` in `ObjectName` or `String` format
Returns:
  the `ObjectName` instance
Throws:
  `MalformedObjectNameException` - in case of an invalid object name specification
See Also:
  `ObjectName.ObjectName(String)`, `ObjectName.getInstance(String)`

#### getInstance

    public static ObjectName getInstance(String objectName)
                                  throws MalformedObjectNameException

Retrieve the `ObjectName` instance corresponding to the supplied name.

Parameters:
  `objectName` - the `ObjectName` in `String` format
Returns:
  the `ObjectName` instance
Throws:
  `MalformedObjectNameException` - in case of an invalid object name specification
See Also:
  `ObjectName.ObjectName(String)`, `ObjectName.getInstance(String)`

#### getInstance

    public static ObjectName getInstance(String domainName,
                         String key,
                         String value)
                                  throws MalformedObjectNameException

Retrieve an `ObjectName` instance for the specified domain and a single property with the supplied key and value.

Parameters:
  `domainName` - the domain name for the `ObjectName`
  `key` - the key for the single property in the `ObjectName`
  `value` - the value for the single property in the `ObjectName`
Returns:
  the `ObjectName` instance
Throws:
  `MalformedObjectNameException` - in case of an invalid object name specification
See Also:
  `ObjectName.ObjectName(String, String, String)`, `ObjectName.getInstance(String, String, String)`

#### getInstance

    public static ObjectName getInstance(String domainName,
                         Hashtable<String,String> properties)
                                  throws MalformedObjectNameException

Retrieve an `ObjectName` instance with the specified domain name and the supplied key/name properties.

Parameters:
  `domainName` - the domain name for the `ObjectName`
  `properties` - the properties for the `ObjectName`
Returns:
  the `ObjectName` instance
Throws:
  `MalformedObjectNameException` - in case of an invalid object name specification
See Also:
  `ObjectName.ObjectName(String, java.util.Hashtable)`, `ObjectName.getInstance(String, java.util.Hashtable)`